Go to the first, previous, next, last section, table of contents.

### `fctr_ff`

`fctr_ff(poly)`
  :: Irreducible univariate factorization over a finite field.

return
  list
poly
  univariate polynomial over a finite field

- Defined in ``fff'`.
- Factorize poly into irreducible factors over the current base field.
- The result is a list [[f1,m1],[f2,m2],...], where fi is a monic irreducible factor and mi is its multiplicity.
- The leading coefficient of poly is abandoned.

    [178] setmod_ff(2^64-95);
    18446744073709551521
    [179]  fctr_ff(x^5+x+1);
    [[1*x+14123390394564558010,1],[1*x+6782485570826905238,1],
    [1*x+15987612182027639793,1],[1*x^2+1*x+1,1]]

`References`
  section `setmod_ff`

Go to the first, previous, next, last section, table of contents.